GET /data/entities/{entity_id}/output-types

Retrieve all types of output files generated for a given entity. Returns list of output types available for the entity.

Path parameters

  • entity_id string(uuid) Required

    Entity unique identifier

Responses

  • 200 application/json

    All types of output files generated for the entity

    Hide response attributes Show response attributes object
    • id string(uuid)

      Output type unique identifier

    • name string

      Output type name

    • short_name string

      Output type short name

    • created_at string(date-time)

      Creation timestamp

    • updated_at string(date-time)

      Last update timestamp

GET /data/entities/{entity_id}/output-types
curl -X GET "http://api.example.com/data/entities/a24a6ea4-ce75-4665-a070-57453082c25/output-types" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"
import requests

url = "http://api.example.com/data/entities/a24a6ea4-ce75-4665-a070-57453082c25/output-types"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
params = {}
payload = None

response = requests.get(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
curl \
 --request GET 'http://api.example.com/data/entities/a24a6ea4-ce75-4665-a070-57453082c25/output-types' \
 --header "Authorization: $API_KEY"
Response examples (200)
[
  {
    "id": "b35b7fb5-df86-5776-b181-68564193d36",
    "name": "Cache",
    "short_name": "CACHE",
    "created_at": "2023-01-01T12:00:00Z",
    "updated_at": "2023-01-01T12:30:00Z"
  }
]